Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.util.io
Class StringInputStream

    java.lang.Object
      java.io.InputStream
          echopointng.ui.util.io.StringInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class StringInputStream

extends java.io.InputStream

`StringInputStream` can read a String and return it as an `InputStream.`

Constructor Summary
`StringInputStream(java.lang.String s)` Constructs a `StringInputStream` from the specified `String`

Method Summary
`int` | `available()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`
`void` | `reset()`
`long` | `skip(long n)`

Methods inherited from class java.io.InputStream
`close, mark, markSupported, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringInputStream

    public StringInputStream(java.lang.String s)

  Constructs a `StringInputStream` from the specified `String`

  Parameters:
    `s` - - the string to read

Method Detail

### read

    public int read()

  Specified by:
    `read` in class `java.io.InputStream`
  See Also:
    `InputStream.read()`

### read

    public int read(byte[] b,
                    int off,
                    int len)

  Overrides:
    `read` in class `java.io.InputStream`
  See Also:
    `InputStream.read(byte[], int, int)`

### skip

    public long skip(long n)

  Overrides:
    `skip` in class `java.io.InputStream`
  See Also:
    `InputStream.skip(long)`

### available

    public int available()

  Overrides:
    `available` in class `java.io.InputStream`
  See Also:
    `InputStream.available()`

### reset

    public void reset()

  Overrides:
    `reset` in class `java.io.InputStream`
  See Also:
    `InputStream.reset()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD